# Contribute to Dark Mode

Thank you to everyone who has contributed to Dark Mode!

## Get Involved

If you would like to make WordPress more visually appealing in the dark, please contribute! Styling the entirety of the dashboard is a huge task we need people to help!

Whether you're a developer with code, a designer with designs or someone with just a few ideas; anything is appreciated. To get started, create or respond to an existing issue and/or provide a pull request as anyone is welcome to help out where they can.

Ideally, Dark Mode will one day be a part of the WordPress Core. Until then, we need people to help design, build and test this feature to ensure it's worthy of being included.

## Installation & Setup

It's really easy to get started with contributing to the Dark Mode plugin. You'll need to make sure you're using a fairly [recent version of Sass](https://sass-lang.com/) - a CSS preprocessor - of at least version 4.0 or above.

Pull down the latest files from the repository and then `cd` into the plugin directory at `/wp-content/plugins/dark-mode`. From there, run the following command to start auto compiling your CSS changes.

```
sass --watch darkmode.scss:darkmode.css --style compressed
```

When you're done, push your changes into a forked version of the repository and submit a pull request on GitHub.

## Useful Links

* [Plugin Page](https://wordpress.org/plugins/dark-mode/)
* [Trac Ticket](https://core.trac.wordpress.org/ticket/41928)
* [GitHub Repository](https://github.com/dgwyer/Dark-Mode)
* [Project Wiki](https://github.com/dgwyer/Dark-Mode/wiki)


## Thank You

Thank you to the list of people below for helping with the project. Should you be listed here? If you think you should then please open a new issue on GitHub.

| Name                  | WordPress.org Username |
|---------------------- |----------------------- |
| Derrick Tennant       | emrikol                |
| Daniel James          | danieltj               |
| munyagu               | munyagu                |
| Mel Choyce            | melchoyce              |
| Maja Benke            | travel_girl            |
| Andrea Fercia         | afercia                |
| Tim Hengeveld         | hedgefield             |
| megane9988            | megane9988             |
| Christian Herrmann    | presskopp              |
| Will Radford          | willrad                |
| Louis-Michel Raynauld | loumray                |
| Frank Bültge          | bueltge                |
| Denis Žoljom          | dingo_bastard          |
| YuanHao Chiang        | yuanhao                |
| Lee Taylor            | leetaylor5455          |
